using System;
using System.Collections.Generic;
using System.Linq;

class Program
{
  public static int totalValues(int[] numbers, Func<int, bool> selector) {
    return (from number in numbers where selector(number) select number).Sum();
  }
  
  public static void Main(string[] args) {
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => true));    
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => number % 2 == 0));    
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => number % 2 != 0));    
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => number > 4));    
  }
}
